package com.fs.pay.service;

import com.fs.common.core.domain.R;
import com.fs.pay.pay.dto.OrderQueryDTO;
import com.fs.pay.pay.dto.WxJspayDTO;
import com.fs.pay.service.dto.*;
import com.fs.ybPay.domain.CreateWxOrderResult;
import com.fs.ybPay.domain.RefundResult;
import com.fs.ybPay.domain.OrderResult;

import java.util.Map;

public interface IPayService
{
    R upload(UploadDTO param);
    R openBusiness(OpenBusinessDTO param);
    R openQuery(OpenQueryDTO param);
    R queryFullBalance(QueryFullBalanceDTO param);
    void createOrder(CreatePayDTO createPayDTO);
    Map<String,String> payOrder(PayDTO payDTO);
    R queryPayOrder(PayQueryDTO payQueryDTO);
    R refundOrder(RefundDTO refundDTO);

    CreateWxOrderResult createWxOrder(WxJspayDTO wxJspayDTO);

    RefundResult refund(com.fs.pay.pay.dto.RefundDTO refundDTO);

    OrderResult getOrder(OrderQueryDTO orderQueryDTO);
}

